<?php
error_reporting(0);
include_once(ONEZ_ROOT.'blocks/admin/qq/qq.func.php');
define('INFOFILE',ONEZ_ROOT.'onezdata/infos/'.option('qqusr').'.php');
@include_once(INFOFILE);
cookiefile('qq');
InitGP('action');
$A=array();
switch($action){
  case 'init';
    $qq=option('qqusr');
    if(isset($psessionid)){
      echo<<<ONEZ
QQ机器人正在登录中，请加QQ：<a target="_blank" href="http://wpa.qq.com/msgrd?v=3&uin=$qq&site=qq&menu=yes">$qq</a> 交谈<br />
ONEZ;
    }else{
      echo<<<ONEZ
QQ机器人现在已离线，无法立即回复您的交谈请求<br />
<br />您也可以点击<a href="javascript:void(0)" onclick="login()">这里</a>，帮助QQ机器人立即登录
ONEZ;
    }
    break;
  case 'login';
    if(isset($psessionid)){
      exit('非常感谢您的帮忙，QQ机器人现在己成功登录');
    }
    $clientid=rand(1000000,99999999);
    mkdirs(dirname(INFOFILE));
    writeover(INFOFILE,'<?php');
    writeover(INFOFILE,"\n\$clientid='$clientid';",'a+');
    $KEY=getKey(option('qqusr'));
    if(strlen($KEY)>4){
      inputCode(option('qqusr'),$KEY);
    }else{
      $loginData=qqLogin(option('qqusr'),option('qqpwd'),$KEY);
      print_r($loginData);
    }
    break;
  case 'login2';
    if(isset($psessionid)){
      exit('非常感谢您的帮忙，QQ机器人现在己成功登录');
    }
    InitGP('KEY');
    $loginData=qqLogin(option('qqusr'),option('qqpwd'),$KEY);
    print_r($loginData);
    break;
  case 'codepic';
    InitGP('key');
    ob_clean();
    echo getInputCode(option('qqusr'),$key);
    exit();
    break;
}
//echo onez_json($A);
?>